﻿Imports Un4seen.Bass
Imports Un4seen.Bass.AddOn.Enc
Imports Un4seen.Bass.AddOn.EncMp3
Imports Un4seen.Bass.AddOn.Mix
Imports Un4seen.Bass.Misc

Public Class Form1

    Private stream As Integer
    Private encoderhandle As Integer

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Bass.BASS_Init(-1, 44100, BASSInit.BASS_DEVICE_DEFAULT, Me.Handle) 'Initialisiere Standard-Wiedergabegerät
        If Bass.BASS_ErrorGetCode = 0 Then
            MessageBox.Show("Abspielgerät erfolgreich initialisiert.")
        Else
            MessageBox.Show("Initialisieren des Abspielgeräts fehlgeschlagen.")
        End If
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        stream = Bass.BASS_StreamCreateFile(TextBox1.Text, 0, 0, BASSFlag.BASS_SAMPLE_FLOAT Or BASSFlag.BASS_STREAM_PRESCAN)   'initialisiere Abspielen der MP3-Datei
        If Bass.BASS_ErrorGetCode = 0 Then
            MessageBox.Show("Abspielen erfolgreich initialisiert.")
        Else
            MessageBox.Show("Abspielen initialisieren fehlgeschlagen.")
        End If
        Bass.BASS_ChannelPlay(stream, True)     'spiele MP3-Datei in Endlosschleife ab
        If Bass.BASS_ErrorGetCode = 0 Then
            MessageBox.Show("Abspielen erfolgreich.")
        Else
            MessageBox.Show("Abspielen fehlgeschlagen.")
        End If
        encoderhandle = BassEnc_Mp3.BASS_Encode_MP3_Start(stream, Nothing, BASSEncode.BASS_ENCODE_LIMIT Or BASSEncode.BASS_ENCODE_AUTOFREE, Nothing, Nothing) 'codiere Daten für den Stream
        If Bass.BASS_ErrorGetCode = 0 Then
            MessageBox.Show("Codieren der Daten für den Stream erfolgreich.")
        Else
            MessageBox.Show("Codieren der Daten für den Stream fehlgeschlagen.")
        End If
        Dim Portnumber As Integer = BassEnc.BASS_Encode_ServerInit(encoderhandle, TextBox2.Text, 64000, 64000, BASSEncodeServer.BASS_ENCODE_SERVER_DEFAULT, Nothing, IntPtr.Zero)
        If Bass.BASS_ErrorGetCode = 0 Then
            MessageBox.Show("Server erfolgreich gestartet.")
        Else
            MessageBox.Show("Server starten fehlgeschlagen.")
        End If
    End Sub
End Class

